using System;
using System.Numerics;

namespace ConsoleApp1
{
    class Program
    {
        static void Main(string[] args)
        {
            int[,] x;
            x = new int[100, 100];
            int n;
            n = int.Parse(Console.ReadLine());
            int i, j, h, k, br=0;
            for(i=0; i<3; i++)
            {
                var xyz = Console.ReadLine().Split();
                for(j=0; j<n; j++)
                {
                    x[i, j] = int.Parse(xyz[j]);
                }
            }

            for(i=0; i<3; i++)
            {
                for(j=0; j<n; j++)
                {
                    for(h=0; h<n; h++)
                    {
                        if(x[i, j]==x[i+1, h])
                        {
                            for(k=0; k<n; k++)
                            {
                                if(x[i+2,k]==h+1)
                                {
                                    br++;
                                }
                            }
                        }
                    }
                }
            }
            Console.WriteLine(br);



        }
    }
}